View Issue Details

IDProjectCategoryView StatusLast Update
0007222VALENTINA SERVERClientpublic2015-09-19 08:32
ReporterFrançois Van LerbergheAssigned ToIvan Smahin 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMac OSOS Version10.6
Product Version5.7.5 
Target Version6.0Fixed in Version6.0 
Summary0007222: Duplicate a record copy only the modified fields in client mode
DescriptionI want to duplicate an existing record and change some fields value. In order to do this, I get a VCursor of the original record, modify some fields value and finally send a Vcursor.AddRecord command.
Unfortunately, only the modified fields are copied in the new record. All other fields are blank despite the fact that i've not send a SetBlank command.
This is happening only in the client/server version, not in local version. In the local version, the fields are populated as expected, but not in the client version.
Steps To Reproduce(Using Realbasic/Xojo)
- Open a Vdatabase in client/server mode
- Get a Vcursor with at least one record and at least 2 fields
- Modify one field value
- Issue a VCursor.Addrecord
The record is added, but only the modified field are populated.
- Look at the values of the unmodified and modified field : the unmodified fields are blank.

I've added a Realbasic/Xojo project file in order to reproduce the problem.
- Open the added Realbasic/Xojo project file
- Clic on the buttons to go to step 1 to 5
Additional InformationTested with V4RB 5.8.5 and 5.8.8, in local and client/server mode, Mac OS 10.6 and Realbasic 2010r3.2
This bug appear only in the client/server version, not in local version.

The joined file is a Realbasic/Xojo project file, derived from the Examples folder > Classes_way > Table_Create, in witch I've added a 5th. button in order to reproduce the error.
Change the gClient variable to True in the ExampleTools.InitValentina to use the client/server mode.

N.B. Product version is 5.8.8 but Mantis doesn't have this value in the corresponding menu.
TagsNo tags attached.

Activities

François Van Lerberghe

François Van Lerberghe

2015-09-14 12:08

reporter  

Table_Create.rbp.zip (12,031 bytes)

Issue History

Date Modified Username Field Change
2015-09-14 12:08 François Van Lerberghe New Issue
2015-09-14 12:08 François Van Lerberghe File Added: Table_Create.rbp.zip
2015-09-18 06:24 Ivan Smahin Assigned To => Ivan Smahin
2015-09-18 06:24 Ivan Smahin Status new => assigned
2015-09-18 12:31 Ivan Smahin Status assigned => resolved
2015-09-18 12:31 Ivan Smahin Fixed in Version => 6.0
2015-09-18 12:31 Ivan Smahin Resolution open => fixed
2015-09-18 12:32 Ivan Smahin Target Version => 6.0